Bug 188794 - x11-wm/compton version update to latest commit
Summary: x11-wm/compton version update to latest commit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 15:00 UTC by ouzned
Modified: 2014-07-27 10:07 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (924 bytes, patch)
2014-04-19 15:00 UTC, ouzned
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ouzned 2014-04-19 15:00:00 UTC
The version of compton in ports is about 1 year old and the current version in github fixes a couple of problems I encountered with urxvt and screen tearing during video playback

Can you please update the port to the latest commit?

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-19 15:00:03 UTC
Maintainer of x11-wm/compton,

Please note that PR ports/188794 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188794

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-19 15:00:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-22 19:35:47 UTC
Add maintainer back to PR, let's try again to get his disposition.
Comment 4 John Marino freebsd_committer 2014-07-22 19:36:23 UTC
Actually, it's timed out by months, just set to patch-ready.
Comment 5 John Marino freebsd_committer 2014-07-22 19:36:30 UTC
Actually, it's timed out by months, just set to patch-ready.
Comment 6 commit-hook freebsd_committer 2014-07-27 10:05:26 UTC
A commit references this bug:

Author: marino
Date: Sun Jul 27 10:04:42 UTC 2014
New revision: 363036
URL: http://svnweb.freebsd.org/changeset/ports/363036

Log:
  x11-wm/compton: Upgrade version from 20130625 => 20140326

  PR:		188794
  Submitted by:	ouzne.alleykatze (gmail)
  Approved by:	maintainer timeout (> 3 months)
  Redports fix:	marino

Changes:
  head/x11-wm/compton/Makefile
  head/x11-wm/compton/distinfo
Comment 7 John Marino freebsd_committer 2014-07-27 10:07:08 UTC
It was a good thing I verified this port in Redports because it was broken!  xinerama is now a dependency.

Moreover, the "from" github commit hash didn't match reality.  I don't know what happened there, so I had to modify the patch so that it would apply.

But at least it's updated now.